/*
 * AnalyzerMenuItem.java
 *
 * Copyright (c) 2003, Oracle Corporation. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 */
package samples.javaclient.analyzer;
import javax.swing.JMenuItem;

/**
 * This is a helper class for the Window menu.  It is used for tracking the list of worksheets 
 * that are open in the application. 
 */
public class AnalyzerMenuItem extends JMenuItem  {
  private Worksheet m_worksheet;
  
  public AnalyzerMenuItem() {
  }

  /**
   * Set the worksheet that is associated with this menu item
   * @param analyzerWorksheet The worksheet that is associated with this menu item
   */
  public void setWorksheet (Worksheet analyzerWorksheet) {
    m_worksheet = analyzerWorksheet;
  }

  /**
   * Get the worksheet related to this menu item
   * @return The worksheet associated with this menu item
   */
  public Worksheet getWorksheet() {
    return m_worksheet;
  }  

}