/*
 * BITreeNode.java
 *
 * Copyright (c) 2003, Oracle Corporation. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 */
package samples.javaclient.analyzer;

/**
 * An elements in a BI Tree.
 * @see BITreeModel
 */
public interface BITreeNode
{
    /**
     * Indicates whether child nodes for this node are displayed.
     * 
     * @return <code>true</code> if child nodes are displayed,
     *         <code>false</code> if they are not.
     */
    public boolean isLoaded();
    /**
     * Displays child nodes of this node.
     */
    public void load();
}