/*
 * GraphTypeWizardPanel.java
 *
 * Copyright (c) 2003, Oracle Corporation. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 */
package samples.javaclient.analyzer;
import oracle.dss.datautil.gui.panel.DefaultStandardPanel;
import oracle.bali.ewt.graphics.ImageUtils;
import java.awt.Image;

/**
 * Panel for adding the Graph Type page to the 
 * {@link NewPresentationWizard}.
 */
public class GraphTypeWizardPanel extends DefaultStandardPanel  {

  /**
   * ID for this panel.
   */
  String m_panelID;
  /**
   * Title for this panel.
   */
  String m_title;
  /**
   * Image to display in this panel.
   */
  Image m_image;

  /**
   * Constructor.
   * 
   * @param panelID Unique ID for this panel.
   * @param title Title for this panel.
   */
  public GraphTypeWizardPanel(String panelID, String title) {
    super();
    m_panelID = panelID;
    m_title = title;
    m_image = ImageUtils.getImageResource (getClass(), "images/graph.gif");;  
  }

  /** 
   * Gets the panel ID.
   * @return The ID for this panel.
   */
  public String getId() {
    return m_panelID;
  }

  /** 
   * Gets the image for this panel.
   * @return The image to display in this panel.
   */
  public Image getImage() {
    return m_image;
  }

  /** 
   * Gets the title for this panel.
   * @return The title for this panel.
   */
  public String getTitle() {
    return getId();
  }

}