<!--
 * BIHome.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page errorPage="cabo/bi/jsp/error.jsp" %>
<%@ page contentType="text/html;charset=windows-1252"%>

<%@ page import="oracle.dss.thin.beans.dataView.Presentation"%>
<%@ page import="oracle.dss.thin.beans.crosstab.ThinCrosstab"%>
<%@ page import="oracle.dss.util.DataDirector"%>
<%@ page import="oracle.dss.util.MetadataMap"%>

<!-- Start synchronization of the BI tags -->
<% synchronized(session){ %>
<orabi:BIThinSession id="bisession1"  configuration="/executiveInsightOLAPConfig1.xml" >
  <!--  Business Intelligence definition tags here -->
  <orabi:Presentation location="Local Computer Sales/HomePage/Products" id="BIHome_pres1" pagingControlVisible="False"/>
  <orabi:Presentation location="Local Computer Sales/HomePage/Customers" id="BIHome_pres2" pagingControlVisible="False"/>
  <orabi:Presentation location="Local Computer Sales/HomePage/Sales Analysis" id="BIHome_pres3" pagingControlVisible="False" imageHeight="250" imageWidth="500"/>
  <orabi:PageList id="pageList1"/>
<%
  // Tell the Crosstabs to display short labels for the Measures on the row edge
  ((ThinCrosstab)BIHome_pres1.getView()).setMemberMetadataLabelType(DataDirector.ROW_EDGE, MetadataMap.METADATA_SHORTLABEL);
  ((ThinCrosstab)BIHome_pres2.getView()).setMemberMetadataLabelType(DataDirector.ROW_EDGE, MetadataMap.METADATA_SHORTLABEL);
%>
</orabi:BIThinSession>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    <title>
      Oracle Business Intelligence Beans 10g Executive Insight Application
    </title>
  </head>
  <orabi:BIBody>
    <form name="BIForm" method="POST"  action="BIHome.jsp" >
    <orabi:InitBITags parentForm="BIForm"/>
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td>
            <img src="images/developer1.gif" width="180" height="40"/>
          </td>
          <td>
            <img src="images/HomePageBanner.gif" width="468" height="60"/>
          </td>
          <td>
            <img src="images/developer1.gif" width="180" height="40"/>
          </td>
        </tr>
      </table>
      <P>
        <!-- Insert your Business Intelligence tags here --></P>
        <table cellspacing="3" cellpadding="2" border="0" width="100%">
          <tr>
            <td>
              <a href="#">
                <img src="images/productsbtn.gif" alt="Product Category Market Analysis" border="0" width="125" height="125" onclick="<c:out value="${pageList1_data.list[1].goto}"/>"/>
              </a>
            </td>
            <td vAlign="bottom">
              <orabi:Render parentForm="BIForm" targetId="BIHome_pres1"/>
            </td>
            <td>
              <a href="#">
                <img src="images/modelbtn.gif" alt="What If Analysis" border="0" width="125" height="125" onclick="<c:out value="${pageList1_data.list[4].goto}"/>"/>
              </a>
            </td>
          </tr>
          <tr>
            <td>
              <a href="#">
                <img src="images/customersbtn.gif" alt="Customer Region Market Analysis" border="0" width="125" height="125" onclick="<c:out value="${pageList1_data.list[2].goto}"/>"/>
              </a>
            </td>
            <td vAlign="bottom">
              <orabi:Render parentForm="BIForm" targetId="BIHome_pres2"/>
            </td>
            <td>
              <a href="#">
                <img src="images/adhocbtn.gif" alt="Ad Hoc Analysis" border="0" width="125" height="125" onclick="<c:out value="${pageList1_data.list[5].goto}"/>"/>
              </a>
            </td>
          </tr>
          <tr>
            <td vAlign="top">
              <a href="#">
                <img src="images/salesbtn.gif" alt="Sales Growth and Margin Analysis" border="0" width="125" height="125" onclick="<c:out value="${pageList1_data.list[3].goto}"/>"/>
              </a>
            </td>
            <td>
              <orabi:Render targetId="BIHome_pres3" parentForm="BIForm"/>
            </td>
            <td></td>
          </tr>
        </table>
      
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm"  biThinSessionId="bisession1" />
    </form>

  </orabi:BIBody>
</html>
<% } %>
<!-- End synchronization of the BI tags -->
