<!--
 * BIProductKPIs.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page errorPage="cabo/bi/jsp/error.jsp" %>
<%@ page contentType="text/html;charset=windows-1252"%>

<!-- Start synchronization of the BI tags -->
<% synchronized(session){ %>
<orabi:BIThinSession id="bisession1"  configuration="/executiveInsightOLAPConfig1.xml" >
  <!--  Business Intelligence definition tags here -->
  <orabi:Presentation imageHeight="260" pagingControlVisible="False" location="Local Computer Sales/Products/KPI Sales and Margin By Year" imageWidth="260" id="BIProductKPIs_pres1"/>
  <orabi:Presentation imageHeight="260" pagingControlVisible="False" location="Local Computer Sales/Products/KPI Sales and Costs by Year" imageWidth="260" id="BIProductKPIs_pres2"/>
  <orabi:Presentation imageHeight="260" pagingControlVisible="False" location="Local Computer Sales/Products/KPI Sales and Margin Prior Period" imageWidth="260" id="BIProductKPIs_pres3"/>
  <orabi:Presentation imageHeight="260" pagingControlVisible="False" location="Local Computer Sales/Products/KPI Sales Product Category" imageWidth="260" id="BIProductKPIs_pres4"/>
  <orabi:Presentation imageHeight="260" pagingControlVisible="False" location="Local Computer Sales/Products/KPI Margin Product Category" imageWidth="260" id="BIProductKPIs_pres5"/>
  <orabi:Presentation imageHeight="260" pagingControlVisible="False" location="Local Computer Sales/Products/KPI Moving Average" imageWidth="260" id="BIProductKPIs_pres6"/>
  <orabi:DimensionMemberList targetPresentationIds="BIProductKPIs_pres1;BIProductKPIs_pres2;BIProductKPIs_pres3;BIProductKPIs_pres4;BIProductKPIs_pres5;BIProductKPIs_pres6" members="201;202;203;204;205" hierarchy="MDM!D_CS_OLAP.SHAWPRODUCTS.PRODUCTS" dimension="MDM!D_CS_OLAP.SHAWPRODUCTS" id="BIProductKPIs_dimMemList1"/>
  <orabi:PageList id="pageList1"/>
</orabi:BIThinSession>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    <title>
      Product Category Market Analysis
    </title>
  </head>

  <orabi:BIBody>
    <form name="BIForm" method="POST"  action="BIProductKPIs.jsp" >
      <P>
        <orabi:InitBITags parentForm="BIForm"/>
      </P>
      <table cellspacing="2" cellpadding="3" border="0">
        <tr>
          <td>
            <img src="images/developer1.gif" width="180" height="40"/>
          </td>
          <td>
            <img src="images/ProductCategoryMarketAnalysis.gif" width="468" height="60" alt="Product Category Market Analysis"/>
          </td>
          <td>
            <table>
              <!--BI_TAGS_METADATA llt;;1;;dtn;;PageList;;dti;;pageList1;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;_EMP_VAL_;;llp;;1;;lscil;;_EMP_VAL_;;llv;;_EMP_VAL_;;llibc;;_EMP_VAL_;;lti;;DEFAULT;;lrt;;10;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListDefaultContent">
                  <orabi:ListNavigator biList="${pageList1_data}"/>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <P>
        <!-- Insert your Business Intelligence tags here --></P>
        <table cellspacing="2" cellpadding="3" border="0" width="100%">
          <tr>
            <td rowspan="2" vAlign="top">
              <table>
                <!--BI_TAGS_METADATA llt;;2;;dtn;;DimensionMemberList;;dti;;BIProductKPIs_dimMemList1;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;&lt;none&gt;;;llp;;1;;lscil;;_EMP_VAL_;;llv;;_EMP_VAL_;;llibc;;_EMP_VAL_;;lti;;NONE;;lrt;;7;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;1;;-->
                <tr>
                  <td>
                    <table width="100%">
                      <tr>
                        <td>
                          <div>
                            <orabi:ListItem biList="${BIProductKPIs_dimMemList1_data}" itemIndex="0" selectedStateImageSource="images/electronics1.gif" imageSource="images/electronics.gif" renderAs="image"/>
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div>
                            <orabi:ListItem biList="${BIProductKPIs_dimMemList1_data}" itemIndex="1" selectedStateImageSource="images/hardware1.gif" imageSource="images/hardware.gif" renderAs="image"/>
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div>
                            <orabi:ListItem biList="${BIProductKPIs_dimMemList1_data}" itemIndex="2" selectedStateImageSource="images/peripherals1.gif" imageSource="images/peripherals.gif" renderAs="image"/>
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div>
                            <orabi:ListItem biList="${BIProductKPIs_dimMemList1_data}" itemIndex="3" selectedStateImageSource="images/photo1.gif" imageSource="images/photo.gif" renderAs="image"/>
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div>
                            <orabi:ListItem biList="${BIProductKPIs_dimMemList1_data}" itemIndex="4" selectedStateImageSource="images/software1.gif" imageSource="images/software.gif" renderAs="image"/>
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
            <td>
              <orabi:Render targetId="BIProductKPIs_pres1" parentForm="BIForm"/>
            </td>
            <td>
              <orabi:Render targetId="BIProductKPIs_pres2" parentForm="BIForm"/>
            </td>
            <td>
              <orabi:Render parentForm="BIForm" targetId="BIProductKPIs_pres3"/>
            </td>
          </tr>
          <tr>
            <td>
              <orabi:Render parentForm="BIForm" targetId="BIProductKPIs_pres4"/>
            </td>
            <td>
              <orabi:Render parentForm="BIForm" targetId="BIProductKPIs_pres5"/>
            </td>
            <td>
              <orabi:Render targetId="BIProductKPIs_pres6" parentForm="BIForm"/>
            </td>
          </tr>
        </table>
      <p/>
      <p/>

      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm"  biThinSessionId="bisession1" />
    </form>

  </orabi:BIBody>
</html>
<% } %>
<!-- End synchronization of the BI tags -->
