<!--
 * cascadingDimensionMemberListDemo.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page errorPage="cabo/bi/jsp/error.jsp" %>
<%@ page contentType="text/html;charset=windows-1252"%>

<%-- Start synchronization of the BI tags --%>
<% synchronized(session){ %>
<orabi:BIThinSession id="bisession1"  configuration="/BIJSPTagGuideOLAPConfig1.xml" >
  <%--  Business Intelligence definition tags here --%>
  <orabi:Presentation pagingControlVisible="False" location="Reports/Cost Comparison" 
                      id="cascadingDimensionMemberListDemo_pres1"/>
  <orabi:CascadingDimensionMemberList multiSelectLevels="MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD.L.REGION;MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD.L.SUB_REGION;MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD.L.COUNTRY" 
        hierarchy="MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD"
        applyLevels="MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD.L.COUNTRY"
        levels="MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD.L.TOTAL;MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD.L.REGION;MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD.L.SUB_REGION;MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD.L.COUNTRY"
        dimension="MDM!D_CS_OLAP.SHAWGEOGRAPHIES"
        id="cascadingDimensionMemberListDemo_cascDimMems1" 
        targetPresentationIds="cascadingDimensionMemberListDemo_pres1"/>
  <orabi:CascadingDimensionMemberList targetPresentationIds="cascadingDimensionMemberListDemo_pres1" 
        multiSelectLevels="MDM!D_CS_OLAP.SHAWPRODUCTS.PRODUCTS.L.CATEGORY;MDM!D_CS_OLAP.SHAWPRODUCTS.PRODUCTS.L.SUBCATEGORY;MDM!D_CS_OLAP.SHAWPRODUCTS.PRODUCTS.L.PRODUCT" 
        hierarchy="MDM!D_CS_OLAP.SHAWPRODUCTS.PRODUCTS" applyLevels="MDM!D_CS_OLAP.SHAWPRODUCTS.PRODUCTS.L.SUBCATEGORY;MDM!D_CS_OLAP.SHAWPRODUCTS.PRODUCTS.L.PRODUCT" 
        levels="MDM!D_CS_OLAP.SHAWPRODUCTS.PRODUCTS.L.CATEGORY;MDM!D_CS_OLAP.SHAWPRODUCTS.PRODUCTS.L.SUBCATEGORY;MDM!D_CS_OLAP.SHAWPRODUCTS.PRODUCTS.L.PRODUCT" 
        dimension="MDM!D_CS_OLAP.SHAWPRODUCTS" id="cascadingDimensionMemberListDemo_cascDimMems2"/>
</orabi:BIThinSession>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    <title>
      BI Beans Cascading Dimension Member List Tag Demo
    </title>
  </head>

  <orabi:BIBody>
    <form name="BIForm" method="POST"  action="cascadingDimensionMemberListDemo.jsp" > 
      <orabi:InitBITags parentForm="BIForm" />
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td colspan="2" bgcolor="#cccccc">
            <STRONG><FONT face="Arial" size="4">Cascading Dimension Member List Tag Demo</FONT> </STRONG>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" colspan="2" class="OraInstructionText" height="20">
            <ul>
              <li>Cascading Dimension List displays dimension members from differrent levels</li>
              <li>Each level can be rendered using different HTML controls
              <li>Choose members at the higher level to limit the members at lower levels </li>
             </ul>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
      </table>
      <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
          <td rowspan="2" valign="top">
            <table cellspacing="0" cellpadding="0" border="0" width="100%">
              <tr>
                <td align="left">
                  <table cellspacing="0" cellpadding="0" border="0" width="100%">
                    <tr>
                      <td class="OraBIListVioletHeader">
                        <c:out value="${cascadingDimensionMemberListDemo_cascDimMems1_data.listLabel}"/>
                      </td>
                    </tr>
                    <tr>
                      <td class="OraBIListVioletContent">
                        <table cellspacing="0" cellpadding="0" border="0" width="100%">
                          <tr>
                            <td>
                              <table width="100%" id="<c:out value="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[0].listName}"/>">
                                <tr>
                                  <td class="OraBICascadingListDefaultSubHeader">
                                    <c:out value="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[0].listLabel}"/>
                                  </td>
                                </tr>
                                <tr>
                                  <td>
                                    <orabi:ListCombo showNoneItem="Auto" renderAs="combo" inlineStyle="width:150pt" renderWhenEmpty="false" autoSubmit="true" biList="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[0]}"/>
                                  </td>
                                </tr>
                                <c:if test="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[0].count == 0}">
                                  <tr>
                                    <td class="OraFieldText">
                                      <FONT size="1">
                                        &nbsp;&nbsp;(<c:out value="${bisession1_bundle_data.noItemsAvailable}"/>) 
                                      </FONT>
                                    </td>
                                  </tr>
                                </c:if>
                              </table>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <table width="100%" id="<c:out value="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[1].listName}"/>">
                                <tr>
                                  <td class="OraBICascadingListDefaultSubHeader">
                                    <c:out value="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[1].listLabel}"/>
                                  </td>
                                </tr>
                                <tr>
                                  <td>
                                    <orabi:GridListIterator biList="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[1]}" numCols="2" cellHTMLAttributes="style(|)padding-right:20.0pt">
                                      <orabi:ListItem renderAs="link"/>
                                    </orabi:GridListIterator>
                                  </td>
                                </tr>
                                <c:if test="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[1].count == 0}">
                                  <tr>
                                    <td class="OraFieldText">
                                      <FONT size="1">
                                        &nbsp;&nbsp;(<c:out value="${bisession1_bundle_data.noItemsAvailable}"/>) 
                                      </FONT>
                                    </td>
                                  </tr>
                                </c:if>
                              </table>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <table width="100%" id="<c:out value="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[2].listName}"/>">
                                <tr>
                                  <td class="OraBICascadingListDefaultSubHeader">
                                    <c:out value="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[2].listLabel}"/>
                                  </td>
                                </tr>
                                <tr>
                                  <td>
                                    <orabi:GridListIterator numCols="1" biList="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[2]}">
                                      <orabi:ListItem renderAs="checkBox" autoSubmit="true"/>
                                    </orabi:GridListIterator>
                                  </td>
                                </tr>
                                <c:if test="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[2].count == 0}">
                                  <tr>
                                    <td class="OraFieldText">
                                      <FONT size="1">
                                      &nbsp;&nbsp;(
                                        <c:out value="${bisession1_bundle_data.noItemsAvailable}"/>) 
                                      </FONT>
                                    </td>
                                  </tr>
                                </c:if>
                              </table>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <table width="100%" id="<c:out value="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[3].listName}"/>">
                                <tr>
                                  <td class="OraBICascadingListDefaultSubHeader">
                                    <c:out value="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[3].listLabel}"/>
                                  </td>
                                </tr>
                                <tr>
                                  <td>
                                    <orabi:GridListIterator biList="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[3]}" numCols="2" cellHTMLAttributes="style(|)padding-right:20.0pt">
                                      <orabi:ListItem renderAs="link"/>
                                    </orabi:GridListIterator>
                                  </td>
                                </tr>
                                <c:if test="${cascadingDimensionMemberListDemo_cascDimMems1_data.levelList[3].count == 0}">
                                  <tr>
                                    <td class="OraFieldText">
                                      <FONT size="1">&nbsp;&nbsp;(
                                        <c:out value="${bisession1_bundle_data.noItemsAvailable}"/>) 
                                      </FONT>
                                    </td>
                                  </tr>
                                </c:if>
                              </table>
                            </td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
          <td colspan="2" valign="top" style="padding-left:5pt">
            <table cellspacing="0" cellpadding="0" border="0">
              <tr>
                <td class="OraBIListVioletHeader">
                  <c:out value="${cascadingDimensionMemberListDemo_cascDimMems2_data.listLabel}"/>
                </td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <table width="100%">
                    <tr>
                      <td valign="top">
                        <table width="100%" id="<c:out value="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[0].listName}"/>">
                          <tr>
                            <td class="OraBICascadingListDefaultSubHeader">
                              <c:out value="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[0].listLabel}"/>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <orabi:ListCombo renderAs="list" renderWhenEmpty="false" autoSubmit="false" 
                                            biList="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[0]}"
                                            inlineStyle="width:150pt;height:80pt"/>
                            </td>
                          </tr>
                          <c:if test="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[0].count == 0}">
                            <tr>
                              <td class="OraFieldText">
                                <FONT size="1">
                                  &nbsp;&nbsp;(<c:out value="${bisession1_bundle_data.noItemsAvailable}"/>)
                                </FONT>
                              </td>
                            </tr>
                          </c:if>
                          <c:if test="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[0].count > 0}">
                            <tr>
                              <td align="right">
                                <orabi:Button text="${bisession1_bundle_data.go}" onClick="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[0].applyReplace}"/>
                              </td>
                            </tr>
                          </c:if>
                        </table>
                      </td>
                      <td valign="top">
                        <table width="100%" id="<c:out value="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[1].listName}"/>">
                          <tr>
                            <td class="OraBICascadingListDefaultSubHeader">
                              <c:out value="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[1].listLabel}"/>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <orabi:ListCombo renderAs="list" renderWhenEmpty="false" autoSubmit="False" 
                                biList="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[1]}"
                                inlineStyle="width:150pt;height:80pt"/>
                            </td>
                          </tr>
                          <c:if test="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[1].count == 0}">
                            <tr>
                              <td class="OraFieldText">
                                <FONT size="1">
                                  &nbsp;&nbsp;(<c:out value="${bisession1_bundle_data.noItemsAvailable}"/>)
                                </FONT>
                              </td>
                            </tr>
                          </c:if>
                          <c:if test="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[1].count > 0}">
                            <tr>
                              <td align="right">
                                <orabi:Button text="${bisession1_bundle_data.go}" onClick="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[1].applyReplace}"/>
                              </td>
                            </tr>
                          </c:if>
                        </table>
                      </td>
                      <td valign="top">
                        <table width="100%" id="<c:out value="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[2].listName}"/>">
                          <tr>
                            <td class="OraBICascadingListDefaultSubHeader">
                              <c:out value="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[2].listLabel}"/>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <orabi:ListCombo renderAs="list" renderWhenEmpty="false" autoSubmit="False" 
                              biList="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[2]}"
                              inlineStyle="width:150pt;height:80pt"/>
                            </td>
                          </tr>
                          <c:if test="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[2].count == 0}">
                            <tr>
                              <td class="OraFieldText">
                                <FONT size="1">
                                  &nbsp;&nbsp;(<c:out value="${bisession1_bundle_data.noItemsAvailable}"/>)
                                </FONT>
                              </td>
                            </tr>
                          </c:if>
                          <c:if test="${cascadingDimensionMemberListDemo_cascDimMems2_data.levelList[2].count > 0}">
                            <tr>
                              <td align="right">
                                <orabi:Button text="${bisession1_bundle_data.go}" onClick="${cascadingDimensionMemberListDemo_cascDimMems2_data.applyReplace}"/>
                              </td>
                            </tr>
                          </c:if>
                        </table>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>          
        </tr>
        <tr>
          <td align="left" vAlign="top" width="13%" style="padding-left:4pt">
            <table> 
              <tr>
                <td style="padding-top:5pt">
                  <orabi:Render targetId="cascadingDimensionMemberListDemo_pres1" parentForm="BIForm"/>
                </td>
              </tr>
            </table>            
          </td>
          <td align="left" valign="top" width="56%">
          </td>
        </tr>
      </table>
      <orabi:InsertHiddenFields parentForm="BIForm"  biThinSessionId="bisession1" />
    </form>
  </orabi:BIBody>
</html>
<% } %>
<%-- End synchronization of the BI tags --%>
