<!--
 * dimensionMemberListDemo.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page errorPage="cabo/bi/jsp/error.jsp"%>
<%@ page contentType="text/html;charset=windows-1252"%>
<%-- Start synchronization of the BI tags --%>
<%  synchronized(session){ %>
<orabi:BIThinSession id="bisession1" configuration="/BIJSPTagGuideOLAPConfig1.xml">
  <%--  Business Intelligence definition tags here --%>
  <orabi:Presentation pagingControlVisible="False" location="Reports/Cost Comparison" id="pres1"/>
  <orabi:DimensionMemberList targetPresentationIds="pres1" savedSelectionLocation="Selections/Product/Top 10 based on Margin%" dimension="MDM!D_CS_OLAP.SHAWPRODUCTS" multiSelect="True" id="dimensionMemberListDemo_dimMemList1"/>
  <orabi:DimensionMemberList targetPresentationIds="pres1" savedSelectionLocation="Selections/Product/Worst Revenue Performers" dimension="MDM!D_CS_OLAP.SHAWPRODUCTS" multiSelect="False" id="dimensionMemberListDemo_dimMemList2"/>
  <orabi:DimensionMemberList targetPresentationIds="pres1" members="1804;1777;1778;1779;1780;1805;1781;1782;1783;1784" hierarchy="MDM!D_CS_OLAP.SHAWT_TIME.CALENDAR" dimension="MDM!D_CS_OLAP.SHAWT_TIME" id="dimensionMemberListDemo_dimMemList3"/>
  <orabi:DimensionMemberList targetPresentationIds="pres1" hierarchy="MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD" levels="MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD.L.REGION;MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD.L.SUB_REGION" dimension="MDM!D_CS_OLAP.SHAWGEOGRAPHIES" id="dimensionMemberListDemo_dimMemList4"/>
</orabi:BIThinSession>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
    <title>BI Beans Dimension Member List Tag Demo</title>
  </head>
  <orabi:BIBody>
    <form name="BIForm" method="POST" action="dimensionMemberListDemo.jsp">
      <orabi:InitBITags parentForm="BIForm"/>
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td colspan="2" bgcolor="#cccccc">
            <STRONG><FONT face="Arial" size="4">Dimension Member List Tag Demo</FONT> </STRONG>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" colspan="2" class="OraInstructionText" height="20">
          <ul>
           <li>Dimension member list is used to display dimension members in different 
           <li>Product dimension member lists are populated from saved selections. Select dimension mebers and click on Select, Add or Remove to apply them to the Crosstab.
           <li>Time dimension member list is displaying Time periods as links.
           <li>Geography dimension member list is displayed as a drop down with indentation, populated from Region and Subregion levels.
           </ul>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td valign="top" bgcolor="#f1f1f1" rowspan="7" width="150">
            <table cellspacing="3" cellpadding="2" border="0" width="100%">
              <tr>
                <td align="left">
                  <FONT face="Arial"><b>P R O D U C T</b></FONT> 
                </td>
              </tr>
              <tr>
                <td align="left">
                  <table width="100%">
                    <tr>
                      <td align="left">
                        <table>
                          <!--BI_TAGS_METADATA llt;;1;;dtn;;DimensionMemberList;;dti;;dimensionMemberListDemo_dimMemList1;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;_EMP_VAL_;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Products with Best Margin;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;2;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
                          <tr>
                            <td class="OraBIListVioletHeader">Products with Best Margin</td>
                          </tr>
                          <tr>
                            <td class="OraBIListVioletContent">
                              <orabi:ListCombo renderAs="list" autoSubmit="false" biList="${dimensionMemberListDemo_dimMemList1_data}" styleClass="OraBIListVioletItems" inlineStyle="width: 180pt;"/>
                            </td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                    <tr>
                      <td align="left" height="24">
                        <input type="image" src="images/select.gif" name="Go" value="Go" onclick="<c:out value="${dimensionMemberListDemo_dimMemList1_data.applyReplace}"/>"/>
                        <input type="image" src="images/add.gif" name="Go" value="Go" onclick="<c:out value="${dimensionMemberListDemo_dimMemList1_data.applyAdd}"/>"/>
                        <input type="image" src="images/remove.gif" name="Go" value="Go" onclick="<c:out value="${dimensionMemberListDemo_dimMemList1_data.applyRemove}"/>"/>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
              <tr>
                <td align="left">
                  <table width="100%">
                    <tr>
                      <td align="left">
                        <table>
                          <!--BI_TAGS_METADATA llt;;1;;dtn;;DimensionMemberList;;dti;;dimensionMemberListDemo_dimMemList2;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;_EMP_VAL_;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Worst Revenue Performers;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;2;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
                          <tr>
                            <td class="OraBIListVioletHeader">Worst Revenue Performers</td>
                          </tr>
                          <tr>
                            <td class="OraBIListVioletContent">
                              <orabi:ListCombo renderAs="list" autoSubmit="false" biList="${dimensionMemberListDemo_dimMemList2_data}" styleClass="OraBIListVioletItems" inlineStyle="width: 180pt;"/>
                            </td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                    <tr>
                      <td align="left" height="24">
                        <input type="image" src="images/select.gif" name="Go" value="Go" onclick="<c:out value="${dimensionMemberListDemo_dimMemList2_data.applyReplace}"/>"/>
                        <input type="image" src="images/add.gif" name="Go" value="Go" onclick="<c:out value="${dimensionMemberListDemo_dimMemList2_data.applyAdd}"/>"/>
                        <input type="image" src="images/remove.gif" name="Go" value="Go" onclick="<c:out value="${dimensionMemberListDemo_dimMemList2_data.applyRemove}"/>"/>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td align="left" vAlign="top">
            <table cellspacing="3" cellpadding="2" border="0" width="100%">
              <tr class="OraBIListVioletContent">
                <td valign="middle" nowrap="nowrap">
                  <FONT face="Arial"><b>T I M E</b> </FONT>
                </td>
                <td valign="middle" align="left">
                  <table>
                    <!--BI_TAGS_METADATA llt;;3;;dtn;;DimensionMemberList;;dti;;dimensionMemberListDemo_dimMemList3;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;&amp;lt;none&amp;gt;;;llp;;1;;lscil;;_EMP_VAL_;;llv;;_EMP_VAL_;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;3;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
                    <tr>
                      <td class="OraBIListVioletContent">
                        <table width="100%">
                          <tr>
                            <td>
                              <orabi:ListItem styleClass="OraBIListVioletItems" biList="${dimensionMemberListDemo_dimMemList3_data}" itemIndex="0" renderAs="link"/>
                            </td>
                            <td>
                              <orabi:ListItem styleClass="OraBIListVioletItems" biList="${dimensionMemberListDemo_dimMemList3_data}" itemIndex="1" renderAs="link"/>
                            </td>
                            <td>
                              <orabi:ListItem styleClass="OraBIListVioletItems" biList="${dimensionMemberListDemo_dimMemList3_data}" itemIndex="2" renderAs="link"/>
                            </td>
                            <td>
                              <orabi:ListItem styleClass="OraBIListVioletItems" biList="${dimensionMemberListDemo_dimMemList3_data}" itemIndex="3" renderAs="link"/>
                            </td>
                            <td>
                              <orabi:ListItem styleClass="OraBIListVioletItems" biList="${dimensionMemberListDemo_dimMemList3_data}" itemIndex="4" renderAs="link"/>
                            </td>
                            <td>
                              <orabi:ListItem styleClass="OraBIListVioletItems" biList="${dimensionMemberListDemo_dimMemList3_data}" itemIndex="5" renderAs="link"/>
                            </td>
                            <td>
                              <orabi:ListItem styleClass="OraBIListVioletItems" biList="${dimensionMemberListDemo_dimMemList3_data}" itemIndex="6" renderAs="link"/>
                            </td>
                            <td>
                              <orabi:ListItem styleClass="OraBIListVioletItems" biList="${dimensionMemberListDemo_dimMemList3_data}" itemIndex="7" renderAs="link"/>
                            </td>
                            <td>
                              <orabi:ListItem styleClass="OraBIListVioletItems" biList="${dimensionMemberListDemo_dimMemList3_data}" itemIndex="8" renderAs="link"/>
                            </td>
                            <td>
                              <orabi:ListItem styleClass="OraBIListVioletItems" biList="${dimensionMemberListDemo_dimMemList3_data}" itemIndex="9" renderAs="link"/>
                            </td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top">
            <table cellspacing="3" cellpadding="2" border="0" width="100%">
              <tr class="OraBIListVioletContent">
                <td width="20%" valign="middle" nowrap="nowrap">
                  <FONT face="Arial"><b>G E O G R A P H Y</b></FONT> 
                </td>
                <td valign="middle">
                  <table>
                    <!--BI_TAGS_METADATA llt;;1;;dtn;;DimensionMemberList;;dti;;dimensionMemberListDemo_dimMemList4;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;2;;lhvs;;_EMP_VAL_;;llp;;1;;lscil;;_EMP_VAL_;;llv;;_EMP_VAL_;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;1;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
                    <tr>
                      <td class="OraBIListVioletContent">
                        <orabi:ListCombo renderAs="combo" autoSubmit="true" biList="${dimensionMemberListDemo_dimMemList4_data}" styleClass="OraBIListVioletItems"/>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top">
            <orabi:Render targetId="pres1" parentForm="BIForm"/>
          </td>
        </tr>
        <tr>
          <td>
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
      </table>
      <orabi:InsertHiddenFields parentForm="BIForm" biThinSessionId="bisession1"/>
    </form>
  </orabi:BIBody>
</html>
<%  } %>
<%-- End synchronization of the BI tags --%>
