<!--
 * folderListDemo.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page errorPage="cabo/bi/jsp/error.jsp"%>
<%@ page contentType="text/html;charset=windows-1252"%>
<!-- Start synchronization of the BI tags -->
<%   synchronized(session){ %>
<orabi:BIThinSession id="bisession1" configuration="/BIJSPTagGuideOLAPConfig1.xml">
  <!--  Business Intelligence definition tags here -->
  <orabi:Presentation location="Customers/KPI Sales and Margin By Year" id="folderListDemo_pres1" imageHeight="300" imageWidth="300"/>
  <orabi:ObjectList targetPresentationId="folderListDemo_pres1" id="folderListDemo_objectList1" searchPaths="Customers"/>
  <orabi:FolderList folders="Customers;Products;Reports" targetObjectListIds="folderListDemo_objectList1" id="folderListDemo_folderList1"/>
</orabi:BIThinSession>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
    <title>BI Beans Folder List JSP Tag Demo</title>
  </head>
  <orabi:BIBody>
    <form name="BIForm" method="POST" action="folderListDemo.jsp">
      <orabi:InitBITags parentForm="BIForm"/>
      <!-- Insert your Business Intelligence tags here -->
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td bgcolor="#cccccc" colspan="2">
            <STRONG><FONT face="Arial" size="4">Folder List Tag Demo</FONT> </STRONG>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" colspan="2" class="OraInstructionText">
            In this demonstration the Folder&nbsp;list&nbsp;is&nbsp;updating&nbsp;the&nbsp;Object&nbsp;list,&nbsp;which&nbsp;is&nbsp;displaying&nbsp;the&nbsp;selected&nbsp;Presentation&nbsp;on&nbsp;the&nbsp;right.
            <br>Select a folder and then clik on a link to display a Presentation from that folder.
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" width="200">
            <table>
              <!--BI_TAGS_METADATA llt;;1;;dtn;;FolderList;;dti;;folderListDemo_folderList1;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;2;;lhvs;;_EMP_VAL_;;llp;;2;;lscil;;_EMP_VAL_;;llv;;_L_T_D_;;llibc;;_EMP_VAL_;;lti;;SILVER;;lrt;;1;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListSilverHeader">
                  <c:out value="${folderListDemo_folderList1_data.listLabel}"/>
                </td>
              </tr>
              <tr>
                <td class="OraBIListSilverContent">
                  <orabi:ListCombo inlineStyle="width: 150pt;" autoSubmit="true" biList="${folderListDemo_folderList1_data}" styleClass="OraBIListSilverItems" renderAs="combo"/>
                </td>
              </tr>
            </table>
            <table id="<c:out value="${folderListDemo_objectList1_data.listName}"/>">
              <!--BI_TAGS_METADATA llt;;4;;dtn;;ObjectList;;dti;;folderListDemo_objectList1;;lgfdv;;1;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;&amp;amp;amp;amp;lt;none&amp;amp;amp;amp;gt;;llp;;2;;lscil;;_EMP_VAL_;;llv;;_L_T_D_;;llibc;;_EMP_VAL_;;lti;;SILVER;;lrt;;3;;lgfd;;2;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListSilverHeader">
                  <c:out value="${folderListDemo_objectList1_data.listLabel}"/>
                </td>
              </tr>
              <tr>
                <td class="OraBIListSilverContent">
                  <orabi:GridListIterator numCols="1" biList="${folderListDemo_objectList1_data}">
                    <orabi:ListItem renderAs="link" styleClass="OraBIListSilverItems"/>
                  </orabi:GridListIterator>
                </td>
              </tr>
            </table>
          </td>
          <td vAlign="top">
            <orabi:Render parentForm="BIForm" targetId="folderListDemo_pres1"/>
          </td>
        </tr>
      </table>
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm" biThinSessionId="bisession1"/>
    </form>
  </orabi:BIBody>
</html>
<%   } %>
<!-- End synchronization of the BI tags -->
