<!--
 * measureListDemo.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page errorPage="cabo/bi/jsp/error.jsp"%>
<%@ page contentType="text/html;charset=windows-1252"%>
<!-- Start synchronization of the BI tags -->
<%  synchronized(session){ %>
<orabi:BIThinSession id="bisession1" configuration="/BIJSPTagGuideOLAPConfig1.xml">
  <!--  Business Intelligence definition tags here -->
  <orabi:Presentation pagingControlVisible="False" location="Reports/Forecast Sales" id="measureListDemo_pres1"/>
  <orabi:MeasureList targetPresentationIds="measureListDemo_pres1" multiSelect="True" measures="Electronics - Trend Calculations/Revenue;Electronics - Trend Calculations/Revenue 12 Mo MV Avg;Electronics - Trend Calculations/Revenue 6 Mo MV Avg;Electronics - Trend Calculations/Revenue Fcst Best Fit;Electronics - Trend Calculations/Revenue Fcst Exponential;Electronics - Trend Calculations/Revenue Fcst Linear;Electronics - Trend Calculations/Revenue Fcst Non-Linear;Electronics - Trend Calculations/Revenue Fcst Seasonal;Electronics - Trend Calculations/Revenue Fcst Trend" id="measureListDemo_measureList2" itemLabelFormat="__SHORT__"/>
  <orabi:MeasureList targetPresentationIds="measureListDemo_pres1" searchPaths="Electronics - KPIs" id="measureListDemo_measureList1"/>
  <orabi:MeasureList targetPresentationIds="measureListDemo_pres1" searchString="*Margin*" id="measureListDemo_measureList3" searchPaths="Electronics - Trend Calculations"/>
</orabi:BIThinSession>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
    <title>BI Beans Measure List Tag Demo</title>
  </head>
  <orabi:BIBody>
    <form name="BIForm" method="POST" action="measureListDemo.jsp">
      <orabi:InitBITags parentForm="BIForm"/>
      <!-- Insert your Business Intelligence tags here -->
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td colspan="2" bgcolor="#cccccc">
            <STRONG><FONT face="Arial" size="4">Measure List Tag Demo</FONT> </STRONG>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" colspan="2" class="OraInstructionText" height="10%">
            <ul>
              <li>Forecast Measures are displayed as checkboxes, using the banding feature.</li>
              <li>Electronics-KPIs measure list is displaying all measures from that folder as links.</li>
              <li>Margin Measures are displaying all Measures that have "Margin" in their name as a drop down.</li>
             </ul>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" rowspan="5" width="30%">
            <table id="<c:out value="${measureListDemo_measureList2_data.listName}"/>">
              <!--BI_TAGS_METADATA llt;;4;;dtn;;MeasureList;;dti;;measureListDemo_measureList2;;lgfdv;;1;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;3;;lhvs;;&amp;amp;amp;lt;none&amp;amp;amp;gt;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Forecast Measures;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;8;;lgfd;;2;;lsct;;Go;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader">Forecast Measures</td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <orabi:GridListIterator numCols="1" biList="${measureListDemo_measureList2_data}" oddRowHTMLAttributes="bgcolor(|)#cccccc">
                    <orabi:ListItem renderAs="checkBox" autoSubmit="false" styleClass="OraBIListVioletItems"/>
                  </orabi:GridListIterator>
                </td>
              </tr>
              <tr>
                <td class="OraBIListVioletActions">
                  <orabi:Button text="Go" onClick="${measureListDemo_measureList2_data.applyReplace}"/>
                </td>
              </tr>
            </table>
          </td>
          <td vAlign="top" nowrap="nowrap" height="20">
            <table id="<c:out value="${measureListDemo_measureList1_data.listName}"/>">
              <!--BI_TAGS_METADATA llt;;3;;dtn;;MeasureList;;dti;;measureListDemo_measureList1;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;&amp;lt;none&amp;gt;;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Electronics - KPIs;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;3;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader">Electronics - KPIs</td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <table width="100%">
                    <tr>
                      <orabi:ListIterator biList="${measureListDemo_measureList1_data}">
                        <td>
                          <orabi:ListItem renderAs="link" styleClass="OraBIListVioletItems"/>
                        </td>
                      </orabi:ListIterator>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="20">
            <table>
              <!--BI_TAGS_METADATA llt;;1;;dtn;;MeasureList;;dti;;measureListDemo_measureList3;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;2;;lhvs;;_EMP_VAL_;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Margin Measures;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;1;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader">Margin Measures</td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <orabi:ListCombo renderAs="combo" autoSubmit="true" biList="${measureListDemo_measureList3_data}" styleClass="OraBIListVioletItems"/>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top">
            <orabi:Render parentForm="BIForm" targetId="measureListDemo_pres1"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="3" colspan="2">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
      </table>
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm" biThinSessionId="bisession1"/>
    </form>
  </orabi:BIBody>
</html>
<%  } %>
<!-- End synchronization of the BI tags -->
