<!--
 * objectListDemo.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page errorPage="cabo/bi/jsp/error.jsp"%>
<%@ page contentType="text/html;charset=windows-1252"%>
<!-- Start synchronization of the BI tags -->
<%  synchronized(session){ %>
<orabi:BIThinSession id="bisession1" configuration="/BIJSPTagGuideOLAPConfig1.xml">
  <!--  Business Intelligence definition tags here -->
  <orabi:Presentation location="Customers/KPI Sales and Margin By Year" id="objectListDemo_pres1" imageHeight="300" pagingControlVisible="False" imageWidth="300"/>
  <orabi:ObjectList targetPresentationId="objectListDemo_pres1" searchPaths="Customers" id="objectListDemo_objectList1"/>
</orabi:BIThinSession>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
    <title>BI Beans Object List JSP Tag Demo</title>
  </head>
  <orabi:BIBody>
    <form name="BIForm" method="POST" action="objectListDemo.jsp">
      <orabi:InitBITags parentForm="BIForm"/>
      <!-- Insert your Business Intelligence tags here -->
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td colspan="2" bgcolor="#cccccc">
            <STRONG><FONT face="Arial" size="4">Object List Tag Demo</FONT> </STRONG>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" colspan="2" class="OraInstructionText">In this demonstration the Object list is initialized from folder "Customers" and is updating the Presentation on the right.
            <br/>Click on a link to display the selected Presentation.
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" inlineStyle="width: 200pt;">
            <table id="<c:out value="${objectListDemo_objectList1_data.listName}"/>">
              <!--BI_TAGS_METADATA llt;;4;;dtn;;ObjectList;;dti;;objectListDemo_objectList1;;lgfdv;;1;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;&amp;amp;lt;none&amp;amp;gt;;llp;;2;;lscil;;_EMP_VAL_;;llv;;KPI Reports;;llibc;;_EMP_VAL_;;lti;;SILVER;;lrt;;3;;lgfd;;2;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListSilverHeader">KPI Reports</td>
              </tr>
              <tr>
                <td class="OraBIListSilverContent" nowrap="nowrap">
                  <orabi:GridListIterator numCols="1" biList="${objectListDemo_objectList1_data}">
                    <orabi:ListItem renderAs="link" styleClass="OraBIListSilverItems"/>
                  </orabi:GridListIterator>
                </td>
              </tr>
            </table>
          </td>
          <td vAlign="top">
            <orabi:Render targetId="objectListDemo_pres1" parentForm="BIForm"/>
          </td>
        </tr>
      </table>
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm" biThinSessionId="bisession1"/>
    </form>
  </orabi:BIBody>
</html>
<%  } %>
<!-- End synchronization of the BI tags -->
