<!--
 * propertySettingsListDemo.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page errorPage="cabo/bi/jsp/error.jsp"%>
<%@ page contentType="text/html;charset=windows-1252"%>
<!-- Start synchronization of the BI tags -->
<%  synchronized(session){ %>
<orabi:BIThinSession id="bisession1" configuration="/BIJSPTagGuideOLAPConfig1.xml">
  <!--  Business Intelligence definition tags here -->
  <orabi:Presentation imageHeight="300" pagingControlVisible="False" location="Reports/Sales and Margin Prior Period" imageWidth="400" id="propertySettingsListDemo_pres1"/>
  <orabi:PropertySettingsList id="propertySettingsListDemo_propSetList1" partialTargets="propertySettingsListDemo_pres1">
    <orabi:PropertyGroup id="Line" label="Line">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="graphType" value="41" type="int"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="Bar" label="Bar">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="graphType" value="17" type="int"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="Pie" label="Pie">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="graphType" value="55" type="int"/>
    </orabi:PropertyGroup>
  </orabi:PropertySettingsList>
  <orabi:PropertySettingsList id="propertySettingsListDemo_propSetList2" partialTargets="propertySettingsListDemo_pres1">
    <orabi:PropertyGroup id="Off" label="Off">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="3DEffect" value="false" type="boolean"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="On" label="On">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="3DEffect" value="true" type="boolean"/>
    </orabi:PropertyGroup>
  </orabi:PropertySettingsList>
  <orabi:PropertySettingsList id="propertySettingsListDemo_propSetList3" partialTargets="propertySettingsListDemo_pres1">
    <orabi:PropertyGroup id="Small" label="Small">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="imageSize" value="400;300" type="java.awt.Dimension"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="Medium" label="Medium">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="imageSize" value="500;400" type="java.awt.Dimension"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="Large" label="Large">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="imageSize" value="600;500" type="java.awt.Dimension"/>
    </orabi:PropertyGroup>
  </orabi:PropertySettingsList>
  <orabi:Presentation pagingControlVisible="False" location="Reports/Cost Comparison by Geography" id="propertySettingsListDemo_pres2"/>
  <orabi:PropertySettingsList id="propertySettingsListDemo_propSetList4" partialTargets="propertySettingsListDemo_pres2">
    <orabi:PropertyGroup id="5" label="5">
      <orabi:Property targetObject="${propertySettingsListDemo_pres2.view}" name="HTMLColumnBlockSize" value="5" type="int"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="10" label="10">
      <orabi:Property targetObject="${propertySettingsListDemo_pres2.view}" name="HTMLColumnBlockSize" value="10" type="int"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="15" label="15">
      <orabi:Property targetObject="${propertySettingsListDemo_pres2.view}" name="HTMLColumnBlockSize" value="15" type="int"/>
    </orabi:PropertyGroup>
  </orabi:PropertySettingsList>
  <orabi:PropertySettingsList id="propertySettingsListDemo_propSetList5" partialTargets="propertySettingsListDemo_pres2">
    <orabi:PropertyGroup id="5x" label="5">
      <orabi:Property targetObject="${propertySettingsListDemo_pres2.view}" name="HTMLRowBlockSize" value="5" type="int"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="10x" label="10">
      <orabi:Property targetObject="${propertySettingsListDemo_pres2.view}" name="HTMLRowBlockSize" value="10" type="int"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="15x" label="15">
      <orabi:Property targetObject="${propertySettingsListDemo_pres2.view}" name="HTMLRowBlockSize" value="15" type="int"/>
    </orabi:PropertyGroup>
  </orabi:PropertySettingsList>
  <orabi:PropertySettingsList id="propertySettingsListDemo_propSetList6" partialTargets="propertySettingsListDemo_pres1;propertySettingsListDemo_pres2">
    <orabi:PropertyGroup id="Autumn" label="Autumn">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="stylePath" value="/oracle/dss/graph/styles/autumn_simple.xml" type="java.lang.String"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="Earth" label="Earth">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="stylePath" value="/oracle/dss/graph/styles/earth.xml" type="java.lang.String"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="Financial" label="Financial">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="stylePath" value="/oracle/dss/graph/styles/financial.xml" type="java.lang.String"/>
    </orabi:PropertyGroup>
    <orabi:PropertyGroup id="Regatta" label="Regatta">
      <orabi:Property targetObject="${propertySettingsListDemo_pres1.view}" name="stylePath" value="/oracle/dss/graph/styles/regatta_simple.xml" type="java.lang.String"/>
    </orabi:PropertyGroup>
  </orabi:PropertySettingsList>
  
</orabi:BIThinSession>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
    <title>BI Beans Property Settings List Demo</title>
  </head>
  <orabi:BIBody>
    <form name="BIForm" method="POST" action="propertySettingsListDemo.jsp">
      <orabi:InitBITags parentForm="BIForm"/>
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td colspan="2" bgcolor="#cccccc">
            <STRONG><FONT face="Arial" size="4">Property Settings List Tag Demo</FONT> </STRONG>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" colspan="2" class="OraInstructionText" height="20">
            <ul>
              <li>The Property Settings List tag allows you to easily modify properties of Crosstabs and Graphs</li>
              <li>Property settings can be displayed as different HTML controls</li>
              <li>In this demo, Property Settings Lists are used to modify Graph type, style, size, and 3d effect, and the number of rows and columns for the Crosstab.</li>
            </ul>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
      </table>
      <table cellspacing="3" cellpadding="2" border="0">
        <tr>
          <td vAlign="top">
            <table width="100%">
              <!--BI_TAGS_METADATA llt;;2;;dtn;;PropertySettingsList;;dti;;propertySettingsListDemo_propSetList1;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;&lt;none&gt;;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Graph Type;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;3;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader">Graph Type</td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <table width="100%">
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList1_data}" itemIndex="0" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList1_data}" itemIndex="1" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList1_data}" itemIndex="2" renderAs="link"/>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
            <hr width="100%" noshade="noshade"/>
            <table width="100%">
              <!--BI_TAGS_METADATA llt;;1;;dtn;;PropertySettingsList;;dti;;propertySettingsListDemo_propSetList6;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;2;;lhvs;;_EMP_VAL_;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Style;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;1;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader">Style</td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <orabi:ListCombo biList="${propertySettingsListDemo_propSetList6_data}" styleClass="OraBIListVioletItems" renderAs="combo" autoSubmit="true"/>
                </td>
              </tr>
            </table>
            <hr width="100%" noshade="noshade"/>
            <table width="100%">
              <!--BI_TAGS_METADATA llt;;1;;dtn;;PropertySettingsList;;dti;;propertySettingsListDemo_propSetList3;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;2;;lhvs;;_EMP_VAL_;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Size;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;1;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader">Size</td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <orabi:ListCombo autoSubmit="true" biList="${propertySettingsListDemo_propSetList3_data}" styleClass="OraBIListVioletItems" renderAs="combo"/>
                </td>
              </tr>
            </table>
            <hr width="100%" noshade="noshade"/>
            <table width="100%">
              <!--BI_TAGS_METADATA llt;;2;;dtn;;PropertySettingsList;;dti;;propertySettingsListDemo_propSetList2;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;2;;lhvs;;&lt;none&gt;;;llp;;2;;lscil;;_EMP_VAL_;;llv;;3D;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;9;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader">3D</td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <table width="100%">
                    <tr>
                      <td>
                        <orabi:ListItem autoSubmit="true" styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList2_data}" itemIndex="0" renderAs="radioButton"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem autoSubmit="true" styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList2_data}" itemIndex="1" renderAs="radioButton"/>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
            <P>&nbsp;</P>
          </td>
          <td>
            <orabi:Render targetId="propertySettingsListDemo_pres1" parentForm="BIForm"/>
          </td>
        </tr>
        <tr>
         <td colspan="2">
           <hr noshade="noshade">
         </td>
        </tr>
        <tr>
          <td vAlign="top">
            <table width="100%">
              <!--BI_TAGS_METADATA llt;;3;;dtn;;PropertySettingsList;;dti;;propertySettingsListDemo_propSetList4;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;&lt;none&gt;;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Columns;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;3;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader">Columns</td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <table width="100%">
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList4_data}" itemIndex="0" renderAs="link"/>
                      </td>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList4_data}" itemIndex="1" renderAs="link"/>
                      </td>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList4_data}" itemIndex="2" renderAs="link"/>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
            <hr noshade="noshade">
            <table width="100%">
              <!--BI_TAGS_METADATA llt;;3;;dtn;;PropertySettingsList;;dti;;propertySettingsListDemo_propSetList5;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;&lt;none&gt;;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Rows;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;3;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader">Rows</td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <table width="100%">
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList5_data}" itemIndex="0" renderAs="link"/>
                      </td>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList5_data}" itemIndex="1" renderAs="link"/>
                      </td>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${propertySettingsListDemo_propSetList5_data}" itemIndex="2" renderAs="link"/>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
          <td vAlign="top">
            <orabi:Render parentForm="BIForm" targetId="propertySettingsListDemo_pres2"/>
          </td>
        </tr>
      </table>
      <!-- Insert your Business Intelligence tags here -->
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm" biThinSessionId="bisession1"/>
    </form>
  </orabi:BIBody>
</html>
<%  } %>
<!-- End synchronization of the BI tags -->
