<!--
 * savedSelectionListDemo.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page errorPage="cabo/bi/jsp/error.jsp"%>
<%@ page contentType="text/html;charset=windows-1252"%>
<!-- Start synchronization of the BI tags -->
<%  synchronized(session){ %>
<orabi:BIThinSession id="bisession1" configuration="/BIJSPTagGuideOLAPConfig1.xml">
  <!--  Business Intelligence definition tags here -->
  <orabi:Presentation pagingControlVisible="False" location="Reports/Cost Comparison" 
                        id="savedSelectionListDemo_pres1"/>
  <orabi:SavedSelectionList targetPresentationIds="savedSelectionListDemo_pres1" selections="Selections/Time/Years;Selections/Time/Months in 2001;Selections/Time/Quarters in 2001" id="savedSelectionListDemo_selList2"/>
  <orabi:SavedSelectionList targetPresentationIds="savedSelectionListDemo_pres1" selections="Selections/Product/Categories;Selections/Product/Products;Selections/Product/Top 10 based on Margin%;Selections/Product/Worst Revenue Performers" id="savedSelectionListDemo_selList1"/>
  <orabi:SavedSelectionList targetPresentationIds="savedSelectionListDemo_pres1" selections="Selections/Geography/Countries;Selections/Geography/Regions;Selections/Geography/Bottom 10 Countries based on Revenue;Selections/Geography/Top 10 Countries based on Revenue" id="savedSelectionListDemo_selList3"/>
</orabi:BIThinSession>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
    <title>BI Beans Saved Selection List Tag Demo</title>
  </head>
  <orabi:BIBody>
    <form name="BIForm" method="POST" action="savedSelectionListDemo.jsp">
      <orabi:InitBITags parentForm="BIForm"/>
      <!-- Insert your Business Intelligence tags here -->
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td colspan="2" bgcolor="#cccccc">
            <STRONG><FONT face="Arial" size="4">Saved&nbsp;Selection List Tag Demo</FONT> </STRONG>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" colspan="2" class="OraInstructionText" height="20">
            <ul>
              <li>The SavedSelection List tag allows you to define a list containing a set of saved selection objects</li>
              <li>As all the other lists, once defined, they can be rendered in different ways</li>
              <li>This page contains 3 saved selection rendered as: links, navigator, and radio buttons</li>
             </ul>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" rowspan="5" width="20%">
            <table>
              <!--BI_TAGS_METADATA llt;;2;;dtn;;SavedSelectionList;;dti;;savedSelectionListDemo_selList1;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;&lt;line&gt;;;llp;;2;;lscil;;_EMP_VAL_;;llv;;Products;;llibc;;_EMP_VAL_;;lti;;SILVER;;lrt;;3;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListSilverHeader" width="100%">Products</td>
              </tr>
              <tr>
                <td class="OraBIListSilverContent" width="100%">
                  <table width="100%">
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListSilverItems" biList="${savedSelectionListDemo_selList1_data}" itemIndex="0" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListSilverItems" biList="${savedSelectionListDemo_selList1_data}" itemIndex="1" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListSilverItems" biList="${savedSelectionListDemo_selList1_data}" itemIndex="2" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListSilverItems" biList="${savedSelectionListDemo_selList1_data}" itemIndex="3" renderAs="link"/>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
          <td vAlign="top" nowrap="nowrap" height="20">
            <table>
              <!--BI_TAGS_METADATA llt;;1;;dtn;;SavedSelectionList;;dti;;savedSelectionListDemo_selList2;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;_EMP_VAL_;;llp;;5;;lscil;;_EMP_VAL_;;llv;;_L_T_D_;;llibc;;_EMP_VAL_;;lti;;SILVER;;lrt;;10;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListSilverHeader" rowSpan="2">
                  Time
                </td>
                <td class="OraBIListSilverContent">
                  <orabi:ListNavigator biList="${savedSelectionListDemo_selList2_data}"/>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="20">
            <table>
              <!--BI_TAGS_METADATA llt;;3;;dtn;;SavedSelectionList;;dti;;savedSelectionListDemo_selList3;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;2;;lhvs;;&lt;none&gt;;;llp;;5;;lscil;;_EMP_VAL_;;llv;;_L_T_D_;;llibc;;_EMP_VAL_;;lti;;SILVER;;lrt;;9;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListSilverHeader" rowSpan="2" style="width:50pt">
                  Geographies:
                </td>
                <td class="OraBIListSilverContent">
                  <table width="100%">
                    <tr>
                      <td>
                        <orabi:ListItem autoSubmit="true" styleClass="OraBIListSilverItems" biList="${savedSelectionListDemo_selList3_data}" itemIndex="0" renderAs="radioButton"/>
                      </td>
                      <td>
                        <orabi:ListItem autoSubmit="true" styleClass="OraBIListSilverItems" biList="${savedSelectionListDemo_selList3_data}" itemIndex="1" renderAs="radioButton"/>
                      </td>
                      <td>
                        <orabi:ListItem autoSubmit="true" styleClass="OraBIListSilverItems" biList="${savedSelectionListDemo_selList3_data}" itemIndex="2" renderAs="radioButton"/>
                      </td>
                      <td>
                        <orabi:ListItem autoSubmit="true" styleClass="OraBIListSilverItems" biList="${savedSelectionListDemo_selList3_data}" itemIndex="3" renderAs="radioButton"/>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top">
            <orabi:Render targetId="savedSelectionListDemo_pres1" parentForm="BIForm"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="3" colspan="2">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
      </table>
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm" biThinSessionId="bisession1"/>
    </form>
  </orabi:BIBody>
</html>
<%  } %>
<!-- End synchronization of the BI tags -->
