SPOOL 03.LOG
set feedback off
set verify off
set pause off
set termout off
set heading off

REM SH COSTS_TEMP

  CREATE TABLE "SH"."COSTS_TEMP" 
   (	"PROD_ID" NUMBER NOT NULL ENABLE, 
	"TIME_ID" DATE NOT NULL ENABLE, 
	"PROMO_ID" NUMBER NOT NULL ENABLE, 
	"CHANNEL_ID" NUMBER NOT NULL ENABLE, 
	"UNIT_COST" NUMBER(10,2) NOT NULL ENABLE, 
	"UNIT_PRICE" NUMBER(10,2) NOT NULL ENABLE, 
	 CONSTRAINT "COSTS_TEMP_CHANNEL_FK" FOREIGN KEY ("CHANNEL_ID")
	  REFERENCES "SH"."CHANNELS" ("CHANNEL_ID") DISABLE, 
	 CONSTRAINT "COSTS_TEMP_TIME_FK" FOREIGN KEY ("TIME_ID")
	  REFERENCES "SH"."TIMES_TEMP" ("TIME_ID") ENABLE NOVALIDATE, 
	 CONSTRAINT "COSTS_TEMP_PRODUCT_FK" FOREIGN KEY ("PROD_ID")
	  REFERENCES "SH"."PRODUCTS" ("PROD_ID") ENABLE NOVALIDATE, 
	 CONSTRAINT "COSTS_TEMP_PROMO_FK" FOREIGN KEY ("PROMO_ID")
	  REFERENCES "SH"."PROMOTIONS" ("PROMO_ID") DISABLE
   ) 
  PARTITION BY RANGE ("TIME_ID") 
 (PARTITION "COSTS_TEMP_1995"  VALUES LESS THAN (TO_DATE(' 1996-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_1996"  VALUES LESS THAN (TO_DATE(' 1997-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_H1_1997"  VALUES LESS THAN (TO_DATE(' 1997-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_H2_1997"  VALUES LESS THAN (TO_DATE(' 1998-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q1_1998"  VALUES LESS THAN (TO_DATE(' 1998-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q2_1998"  VALUES LESS THAN (TO_DATE(' 1998-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q3_1998"  VALUES LESS THAN (TO_DATE(' 1998-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q4_1998"  VALUES LESS THAN (TO_DATE(' 1999-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q1_1999"  VALUES LESS THAN (TO_DATE(' 1999-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q2_1999"  VALUES LESS THAN (TO_DATE(' 1999-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q3_1999"  VALUES LESS THAN (TO_DATE(' 1999-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q4_1999"  VALUES LESS THAN (TO_DATE(' 2000-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q1_2000"  VALUES LESS THAN (TO_DATE(' 2000-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q2_2000"  VALUES LESS THAN (TO_DATE(' 2000-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q3_2000"  VALUES LESS THAN (TO_DATE(' 2000-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q4_2000"  VALUES LESS THAN (TO_DATE(' 2001-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q1_2001"  VALUES LESS THAN (TO_DATE(' 2001-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q2_2001"  VALUES LESS THAN (TO_DATE(' 2001-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q3_2001"  VALUES LESS THAN (TO_DATE(' 2001-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q4_2001"  VALUES LESS THAN (TO_DATE(' 2002-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q1_2002"  VALUES LESS THAN (TO_DATE(' 2002-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q2_2002"  VALUES LESS THAN (TO_DATE(' 2002-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q3_2002"  VALUES LESS THAN (TO_DATE(' 2002-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q4_2002"  VALUES LESS THAN (TO_DATE(' 2003-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q1_2003"  VALUES LESS THAN (TO_DATE(' 2003-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q2_2003"  VALUES LESS THAN (TO_DATE(' 2003-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q3_2003"  VALUES LESS THAN (TO_DATE(' 2003-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q4_2003"  VALUES LESS THAN (TO_DATE(' 2004-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS ,
 PARTITION "COSTS_TEMP_Q1_2004"  VALUES LESS THAN (TO_DATE(' 2004-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q2_2004"  VALUES LESS THAN (TO_DATE(' 2004-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q3_2004"  VALUES LESS THAN (TO_DATE(' 2004-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q4_2004"  VALUES LESS THAN (TO_DATE(' 2005-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS ,
 PARTITION "COSTS_TEMP_Q1_2005"  VALUES LESS THAN (TO_DATE(' 2005-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q2_2005"  VALUES LESS THAN (TO_DATE(' 2005-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q3_2005"  VALUES LESS THAN (TO_DATE(' 2005-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q4_2005"  VALUES LESS THAN (TO_DATE(' 2006-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS ,
 PARTITION "COSTS_TEMP_Q1_2006"  VALUES LESS THAN (TO_DATE(' 2006-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q2_2006"  VALUES LESS THAN (TO_DATE(' 2006-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q3_2006"  VALUES LESS THAN (TO_DATE(' 2006-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q4_2006"  VALUES LESS THAN (TO_DATE(' 2007-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS ,
 PARTITION "COSTS_TEMP_Q1_2007"  VALUES LESS THAN (TO_DATE(' 2007-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q2_2007"  VALUES LESS THAN (TO_DATE(' 2007-07-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q3_2007"  VALUES LESS THAN (TO_DATE(' 2007-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) COMPRESS , 
 PARTITION "COSTS_TEMP_Q4_2007"  VALUES LESS THAN (TO_DATE(' 2008-01-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS', 'NLS_CALENDAR=GREGORIAN')) NOCOMPRESS
 ) 
/
 
REM SH COSTS_TEMP_PROD_BIX

  CREATE BITMAP INDEX "SH"."COSTS_TEMP_PROD_BIX" ON "SH"."COSTS_TEMP" ("PROD_ID") 
   LOCAL
 (PARTITION "COSTS_TEMP_1995" , 
 PARTITION "COSTS_TEMP_1996" , 
 PARTITION "COSTS_TEMP_H1_1997" , 
 PARTITION "COSTS_TEMP_H2_1997" , 
 PARTITION "COSTS_TEMP_Q1_1998" , 
 PARTITION "COSTS_TEMP_Q2_1998" , 
 PARTITION "COSTS_TEMP_Q3_1998" , 
 PARTITION "COSTS_TEMP_Q4_1998" , 
 PARTITION "COSTS_TEMP_Q1_1999" , 
 PARTITION "COSTS_TEMP_Q2_1999" , 
 PARTITION "COSTS_TEMP_Q3_1999" , 
 PARTITION "COSTS_TEMP_Q4_1999" , 
 PARTITION "COSTS_TEMP_Q1_2000" , 
 PARTITION "COSTS_TEMP_Q2_2000" , 
 PARTITION "COSTS_TEMP_Q3_2000" , 
 PARTITION "COSTS_TEMP_Q4_2000" , 
 PARTITION "COSTS_TEMP_Q1_2001" , 
 PARTITION "COSTS_TEMP_Q2_2001" , 
 PARTITION "COSTS_TEMP_Q3_2001" , 
 PARTITION "COSTS_TEMP_Q4_2001" , 
 PARTITION "COSTS_TEMP_Q1_2002" , 
 PARTITION "COSTS_TEMP_Q2_2002" , 
 PARTITION "COSTS_TEMP_Q3_2002" , 
 PARTITION "COSTS_TEMP_Q4_2002" , 
 PARTITION "COSTS_TEMP_Q1_2003" , 
 PARTITION "COSTS_TEMP_Q2_2003" , 
 PARTITION "COSTS_TEMP_Q3_2003" , 
 PARTITION "COSTS_TEMP_Q4_2003" ,
 PARTITION "COSTS_TEMP_Q1_2004" , 
 PARTITION "COSTS_TEMP_Q2_2004" , 
 PARTITION "COSTS_TEMP_Q3_2004" , 
 PARTITION "COSTS_TEMP_Q4_2004" ,
 PARTITION "COSTS_TEMP_Q1_2005" , 
 PARTITION "COSTS_TEMP_Q2_2005" , 
 PARTITION "COSTS_TEMP_Q3_2005" , 
 PARTITION "COSTS_TEMP_Q4_2005" ,
 PARTITION "COSTS_TEMP_Q1_2006" , 
 PARTITION "COSTS_TEMP_Q2_2006" , 
 PARTITION "COSTS_TEMP_Q3_2006" , 
 PARTITION "COSTS_TEMP_Q4_2006" ,
 PARTITION "COSTS_TEMP_Q1_2007" , 
 PARTITION "COSTS_TEMP_Q2_2007" , 
 PARTITION "COSTS_TEMP_Q3_2007" , 
 PARTITION "COSTS_TEMP_Q4_2007"
 ) 
/
 
REM SH COSTS_TEMP_TIME_BIX

  CREATE BITMAP INDEX "SH"."COSTS_TEMP_TIME_BIX" ON "SH"."COSTS_TEMP" ("TIME_ID") 
   LOCAL
 (PARTITION "COSTS_TEMP_1995" , 
 PARTITION "COSTS_TEMP_1996" , 
 PARTITION "COSTS_TEMP_H1_1997" , 
 PARTITION "COSTS_TEMP_H2_1997" , 
 PARTITION "COSTS_TEMP_Q1_1998" , 
 PARTITION "COSTS_TEMP_Q2_1998" , 
 PARTITION "COSTS_TEMP_Q3_1998" , 
 PARTITION "COSTS_TEMP_Q4_1998" , 
 PARTITION "COSTS_TEMP_Q1_1999" , 
 PARTITION "COSTS_TEMP_Q2_1999" , 
 PARTITION "COSTS_TEMP_Q3_1999" , 
 PARTITION "COSTS_TEMP_Q4_1999" , 
 PARTITION "COSTS_TEMP_Q1_2000" , 
 PARTITION "COSTS_TEMP_Q2_2000" , 
 PARTITION "COSTS_TEMP_Q3_2000" , 
 PARTITION "COSTS_TEMP_Q4_2000" , 
 PARTITION "COSTS_TEMP_Q1_2001" , 
 PARTITION "COSTS_TEMP_Q2_2001" , 
 PARTITION "COSTS_TEMP_Q3_2001" , 
 PARTITION "COSTS_TEMP_Q4_2001" , 
 PARTITION "COSTS_TEMP_Q1_2002" , 
 PARTITION "COSTS_TEMP_Q2_2002" , 
 PARTITION "COSTS_TEMP_Q3_2002" , 
 PARTITION "COSTS_TEMP_Q4_2002" , 
 PARTITION "COSTS_TEMP_Q1_2003" , 
 PARTITION "COSTS_TEMP_Q2_2003" , 
 PARTITION "COSTS_TEMP_Q3_2003" , 
 PARTITION "COSTS_TEMP_Q4_2003" ,
 PARTITION "COSTS_TEMP_Q1_2004" , 
 PARTITION "COSTS_TEMP_Q2_2004" , 
 PARTITION "COSTS_TEMP_Q3_2004" , 
 PARTITION "COSTS_TEMP_Q4_2004" ,
 PARTITION "COSTS_TEMP_Q1_2005" , 
 PARTITION "COSTS_TEMP_Q2_2005" , 
 PARTITION "COSTS_TEMP_Q3_2005" , 
 PARTITION "COSTS_TEMP_Q4_2005" ,
 PARTITION "COSTS_TEMP_Q1_2006" , 
 PARTITION "COSTS_TEMP_Q2_2006" , 
 PARTITION "COSTS_TEMP_Q3_2006" , 
 PARTITION "COSTS_TEMP_Q4_2006" ,
 PARTITION "COSTS_TEMP_Q1_2007" , 
 PARTITION "COSTS_TEMP_Q2_2007" , 
 PARTITION "COSTS_TEMP_Q3_2007" , 
 PARTITION "COSTS_TEMP_Q4_2007"
) 
/


Commit;


SPOOL OFF
exit