@echo off

:main

goto deletelogfiles

:main1
:: Check the DB version
echo Checking DB version ...
goto checkdbversion

:main2
if ERRORLEVEL 10 goto perform_sholap_steps

:main2a
goto perform10steps

:main3
goto createprofitstab

:main4
echo Checking for errors in the log file ...
copy 01.LOG+02.LOG+03.LOG+04.LOG+05.LOG+06.LOG+07.LOG+08.LOG+09.LOG+10.LOG+check.log+fix4.log+fix3.log+fix2.log+fix1.log+profits.log+dropsh.log+tmpcheckdbversion.sql+day_arithmatic.log INSTALL.LOG > nul

:: look for 'error' in different cases
findstr "error" INSTALL.LOG > nul
if NOT ERRORLEVEL 1 goto LOG_ERROR
findstr "ERROR" INSTALL.LOG > nul
if NOT ERRORLEVEL 1 goto LOG_ERROR
findstr "Error" INSTALL.LOG > nul
if NOT ERRORLEVEL 1 goto LOG_ERROR

goto end
:endmain

:: ////////////////////////////////
:: C R E A T E   P R O F I T S   T A B L E 
:createprofitstab
echo Creating profits_tab table
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @create_profits_tab.sql
goto main4


:: ////////////////////////////////
:: P E R F O R M   S H _ O L A P   T I M E _ I D   S H I F T
:perform_sholap_steps
echo updating time period for schema tables

%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @01drop_temp.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @02times_temp1.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @03costs_temp1.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @04costs_temp2.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @05sales_temp1.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @06sales_temp2.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @07drop_original.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @08recreate_times.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @09recreate_costs.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @10recreate_sales.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @01drop_temp.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @11day_arithmatic.sql

goto main2a


:: ////////////////////////////////
:: P E R F O R M   1 0 g   S T E P S
:perform10steps
echo Performing Oracle Database 10.2 and above steps ...
echo Upgrading SH schema tables ...
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @FinalCustomerFix1.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @FinalCustomerFix2.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @FinalCustomerFix3.sql
%ORACLE_HOME%\BIN\sqlplus -L -S SH/SH @FinalCustomerFix4.sql
goto main3

:: ////////////////////////////////
:log_error
echo
echo \*\*\*
echo \*\*\* Errors in the log file, please review file INSTALL.LOG
echo \*\*\* and resolve the errors and re-run this script if required.
echo \*\*\*
goto end

:: ////////////////////////////////
:deletelogfiles
echo
echo \*\*\*
echo \*\*\* Deleting previous log files
echo \*\*\* You may get error messages if these log files do not exist. 
echo \*\*\* You can ignore these errors.
echo
erase check.log 
erase fix4.log
erase fix3.log 
erase fix2.log 
erase fix1.log 
erase profits.log 
erase dropsh.log 
erase 01.log 
erase 02.log 
erase 03.log 
erase 04.log 
erase 05.log 
erase 06.log 
erase 07.log 
erase 08.log 
erase 09.log 
erase 10.log 
erase day_arithmatic.log

goto main1

:: ////////////////////////////////
:: C H E C K   D A T A B A S E   V E R S I O N
:checkdbversion
%ORACLE_HOME%\BIN\sqlplus -L -S "/ as sysdba" @check_db_version.sql
goto main2

:end
