#!/bin/ksh 

# deletelogfiles 
echo \*\*\* deleting previous logs 
echo "deleting previous logs....."
rm -f fix4.log
rm -f fix3.log
rm -f fix2.log
rm -f fix1.log
rm -f profits.log
rm -f dropsh.log
rm -f 01.log
rm -f 02.log
rm -f 03.log
rm -f 04.log
rm -f 05.log
rm -f 06.log
rm -f 07.log
rm -f 08.log
rm -f 09.log
rm -f 10.log

#Check the DB version

echo Checking DB version ...
$ORACLE_HOME/bin/sqlplus -S "/ as sysdba" @check_db_version.sql

dbver=$?

if [ $dbver -eq 10 ]
then
	echo Performing 10g and above steps ...
	echo Upgrading SH schema tables for SH_OLAP...
	$ORACLE_HOME/bin/sqlplus -S sh/sh @01drop_temp.sql > install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @02times_temp1.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @03costs_temp1.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @04costs_temp2.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @05sales_temp1.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @06sales_temp2.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @07drop_original.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @08recreate_times.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @09recreate_costs.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @10recreate_sales.sql >> install.log

	echo Upgrading SH schema tables ...
	$ORACLE_HOME/bin/sqlplus -S sh/sh @FinalCustomerFix1.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @FinalCustomerFix2.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @FinalCustomerFix3.sql >> install.log
	$ORACLE_HOME/bin/sqlplus -S sh/sh @FinalCustomerFix4.sql >> install.log
else
	echo "Wrong database version $dbver returned"
	exit 1
fi

#Create profits table
echo Creating profits_tab
$ORACLE_HOME/bin/sqlplus -S sh/sh @create_profits_tab.sql

echo Checking for errors in the log file ...
cat tmpcheckdbversion.sql install.log > tmpinstall.log
grep -i "error"  tmpinstall.log > /dev/null
if [ $? -eq 0 ]
then
	echo \*\*\*
	echo \*\*\* Errors in the log file, please review file install.log
	echo \*\*\* and resolve the errors before re-running this script 
	echo \*\*\*
fi

