@echo off
rem Modified for 10.1.2.2 by Aneel Shenker, Feb 2006
if "%1" == "" goto helptopic
if "%2" == "" goto helptopic
if "%ORACLE_HOME%" == "" goto envhelp
if "%ORACLE_SID%" == "" goto envhelp

echo \*\*\*
echo \*\*\* MAKE SURE your ORACLE_HOME, ORACLE_SID, PATH, and so on are
echo \*\*\* set appropriately!  This script must be able to utilize
echo \*\*\* sqlplus and sqlldr. 
echo \*\*\*
echo.
echo \*\*\* Next procedure will drop the user sh_olap and the related metadata
echo.

echo Removing log files from previous runs
echo \*\*\*
erase CHECK_USER.LOG
erase DROP.LOG

echo Connecting as SYS user
sqlplus "/ as sysdba" @0_check_user.sql %1 %2
findstr "SH_OLAP" CHECK_USER.LOG > nul
if not errorlevel 1 goto USER_ERROR 

echo Connecting as SYS user
sqlplus "/ as sysdba" @1_drop_all.sql %1 %2


echo
echo \*\*\*
echo \*\*\* Checking for errors in the log file
echo \*\*\*
findstr "error" DROP.LOG > nul
if NOT ERRORLEVEL 1 goto LOG_ERROR

findstr "ERROR" DROP.LOG > nul
if NOT ERRORLEVEL 1 goto LOG_ERROR

findstr "Error" DROP.LOG > nul
if NOT ERRORLEVEL 1 goto LOG_ERROR

echo
echo \*\*\*
echo \*\*\* SH_OLAP schema has been removed.  Have fun!
echo \*\*\*
goto end


:helptopic
echo.
echo.
echo Please specify the following two parameters when running the install:
echo - location of your Oracle10g sh_olap datafiles
echo - location of the sh_olap_aw.eif file (source of the data for the analytic workspace)
echo.
echo For example:
echo install D:\oracle\product\10.2.0\db_1\database d:\temp\samples\sh_olap
echo.
goto end

:envhelp
echo.
echo.
echo Please specify the following two parameters when running the install:
echo - Make sure your ORACLE_SID and ORACLE_HOME are correctly set
echo -
echo - for example SET ORACLE_SID=ORCL
echo -             SET ORACLE_HOME=D:\oracle\product\10.2.0\db_1
echo.
goto end


:log_error
echo
echo \*\*\*
echo \*\*\* Errors in the log file, please review file DROP.LOG
echo \*\*\* and resolve the errors before re-running this script 
echo \*\*\*
goto end


:user_error
echo
echo \*\*\*
echo \*\*\* The user SH_OLAP is currently connected and cannot be dropped
echo \*\*\* Disconnect all SH_OLAP sessions and try again
echo \*\*\*
goto end

:end
