#!/bin/ksh

if [ $# -ne 6 ]
then
	echo "Usage: $0 tnsnames system_passwd bihome defaultTablespace TempTableSpace ScriptLocation"
	echo
	echo
	echo Not all parameters have been passed correctly to this script. Cannot continue. Exiting... 
	echo
	echo "Note: Your PATH variable should include the location of the Java Runtime (i.e. java.exe) and SQL*Plus"
	echo
	echo

	exit 1
fi
TNSNAMES=$1
SYSTEM_PASSWORD=$2
BI_HOME=$3
DEFAULT_TABLESPACE=$4
TEMPORARY_TABLESPACE=$5
SCRIPT_LOCATION_DISCO=$6

#Create biuser
cd $SCRIPT_LOCATION_DISCO
echo "Creating bi_user EUL ..."

#create user
$BI_HOME/bin/eulapi -create_eul -connect system/$SYSTEM_PASSWORD@$TNSNAMES -user bi_user -password bi_user -temporary_tablespace $TEMPORARY_TABLESPACE -default_tablespace $DEFAULT_TABLESPACE -log create_user.log

#grant privileges
$BI_HOME/bin/sqlplus -S "system/$SYSTEM_PASSWORD@$TNSNAMES"  @$SCRIPT_LOCATION_DISCO/grant_bi_user_privs.sql

#import EEX file
$BI_HOME/bin/eulapi -connect bi_user/bi_user@$TNSNAMES -import $SCRIPT_LOCATION_DISCO/bi_user.eex -preserve_workbook_owner

#refresh summaries
$BI_HOME/bin/eulapi -connect bi_user/bi_user@$TNSNAMES -refresh_summary "Profit Analysis Summary 2" -log refresh1.log

#refresh summaries
$BI_HOME/bin/eulapi -connect bi_user/bi_user@$TNSNAMES -refresh_summary "Profits Analysis Summary 1" -log refresh2.log

#refresh summaries
$BI_HOME/bin/eulapi -connect bi_user/bi_user@$TNSNAMES -refresh_summary "Sales Analysis Summary 1" -log refresh3.log
cd $SCRIPT_LOCATION_DISCO
