@echo off
rem ARGS:  1) HOST, 2) PORT, 3) SID, 4) SYSTEM pwd, 5) D4OSYS pwd, 6) Oracle Business Intelligence home, 7) Net Service Name
if "%1" == "" goto helptopic
if "%2" == "" goto helptopic
if "%3" == "" goto helptopic
if "%4" == "" goto helptopic
if "%5" == "" goto helptopic
if "%6" == "" goto helptopic
if "%7" == "" goto no_netservice_0


rem *
rem * Install the Catalog if required
rem *
echo Checking if catalog exists
%6\bin\sqlplus system/%4@%7 @check_for_catalog.sql
goto done_catalog_check

:no_netservice_0
%6\bin\sqlplus system/%4 @check_for_catalog.sql

:done_catalog_check
findstr "D4OSYS" CATALOG.LOG > nul

if not errorlevel 1 goto authorize_scott

rem ** The Discoverer catalog is installed in this step ***
java -classpath %6/sysman/webapps/emd/WEB-INF/lib/d4o.jar oracle.dss.d4o.administration.D4OCommand install -su system -sp %4 -p %5 -h %1 -po %2 -sid %3

:authorize_scott, the catalog has been installed at this point, or already exists.
rem *
rem * Use "SCOTT" as the Discoverer user
rem *
echo Authorizing user SCOTT to access common schema data
if "%7" == "" goto no_netservice_1
%6\bin\sqlplus system/%4@%7 @authorize.sql
goto done_authorize_scott

:no_netservice_1
%6\bin\sqlplus system/%4 @authorize.sql

:done_authorize_scott

rem *
rem * AUTHORIZE SCOTT user to the Discoverer Catalog
rem *
echo Authorizing SCOTT to use Discoverer
java -classpath %6/sysman/webapps/emd/WEB-INF/lib/d4o.jar oracle.dss.d4o.administration.D4OCommand authorize -p %5 -h %1 -po %2 -sid %3 -u SCOTT

rem *
rem * AUTHORIZE BI_USER user to the Discoverer Catalog
rem *
echo Authorizing BI_USER to use Discoverer
java -classpath %6/sysman/webapps/emd/WEB-INF/lib/d4o.jar oracle.dss.d4o.administration.D4OCommand authorize -p %5 -h %1 -po %2 -sid %3 -u BI_USER

rem *
rem * IMPORT THE SAMPLE WORKBOOKS, calculations and saved selections for SCOTT
rem *
echo Import the sample workbooks, calculations and saved selections for SCOTT
java -classpath %6/sysman/webapps/emd/WEB-INF/lib/d4o.jar oracle.dss.d4o.administration.D4OCommand import -p %5 -h %1 -po %2 -sid %3 -u SCOTT -f ./scott_catalog.xml

rem *
rem * Install the d4o_autogo which will scope the time dimension for user SCOTT
rem *
if "%7" == "" goto no_netservice_2
%6\bin\sqlplus system/%4@%7 @d4o_autogo.sql
goto done_d4o_autogo

:no_netservice_2
%6\bin\sqlplus system/%4 @d4o_autogo.sql

:done_d4o_autogo

rem Completed installation
echo Installation of OLAP sample complete.

goto end

:helptopic
echo.
echo.
echo Please specify the following four parameters when running the install:
echo  hostname            The database host name
echo  port                The database port
echo  sid                 The database sid
echo  system_password     Password for SYSTEM user
echo  d4osys_password     Password for D4OSYS user (Discoverer Catalog owner)
echo  OracleBI home       Oracle Business Intelligence Home
echo  Net Service Name (required for remote database connections)
echo.
echo Note: Your PATH should include the location of the Java Runtime (i.e. java.exe) and SQL*Plus
echo.
echo For example:
echo install_olap localhost 1521 orcl system_pwd d4osys_pwd c:\OraBIHome remoteserver
echo.



:end
